Fetch recording resource
Returns recording resource identified by recording id.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const texmlGetCallRecordingResponseBody =
await client.texml.accounts.recordings.json.retrieveRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
{ account_sid: 'account_sid' },
);
console.log(texmlGetCallRecordingResponseBody.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
texml_get_call_recording_response_body = client.texml.accounts.recordings.json.retrieve_recording_sid_json(
recording_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid="account_sid",
)
print(texml_get_call_recording_response_body.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
texmlGetCallRecordingResponseBody, err := client.Texml.Accounts.Recordings.Json.GetRecordingSidJson(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.TexmlAccountRecordingJsonGetRecordingSidJsonParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", texmlGetCallRecordingResponseBody.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.TexmlGetCallRecordingResponseBody;
import com.telnyx.sdk.models.texml.accounts.recordings.json.JsonRetrieveRecordingSidJsonParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
JsonRetrieveRecordingSidJsonParams params = JsonRetrieveRecordingSidJsonParams.builder()
.accountSid("account_sid")
.recordingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
TexmlGetCallRecordingResponseBody texmlGetCallRecordingResponseBody = client.texml().accounts().recordings().json().retrieveRecordingSidJson(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
texml_get_call_recording_response_body = telnyx.texml.accounts.recordings.json.retrieve_recording_sid_json(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid: "account_sid"
)
puts(texml_get_call_recording_response_body)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$texmlGetCallRecordingResponseBody = $client
->texml
->accounts
->recordings
->json
->retrieveRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
);
var_dump($texmlGetCallRecordingResponseBody);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:recordings:json retrieve-recording-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--recording-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Recordings/{recording_sid}.json \
--header 'Authorization: Bearer <token>'{
"account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
"call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
"conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"channels": 1,
"date_created": "2023-08-11T19:12:11Z",
"date_updated": "2023-08-11T19:12:11Z",
"start_time": "2023-08-11T19:12:11Z",
"duration": "12",
"sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"source": "StartCallRecordingAPI",
"status": "paused",
"error_code": null,
"subresources_uris": {
"transcriptions": "<string>"
},
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json",
"media_url": "http://recordings.com/mp3/filename.mp3"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.
"f5586561-8ff0-4291-a51b-c7dfe4139ff9"
Uniquely identifies the recording by id.
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Response
Retrieves call recording resource.
"61bf923e-5e4d-4595-a110-56190ea18a1b"
"v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA"
"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"
1, 2 1
"2023-08-11T19:12:11Z"
"2023-08-11T19:12:11Z"
"2023-08-11T19:12:11Z"
The duration of this recording, given in seconds.
"12"
Identifier of a resource.
"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"
Defines how the recording was created.
StartCallRecordingAPI, StartConferenceRecordingAPI, OutboundAPI, DialVerb, Conference, RecordVerb, Trunking in-progress, completed, paused, stopped "paused"
null
Subresources details for a recording if available.
Show child attributes
Show child attributes
The relative URI for this recording resource.
"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"
"http://recordings.com/mp3/filename.mp3"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const texmlGetCallRecordingResponseBody =
await client.texml.accounts.recordings.json.retrieveRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
{ account_sid: 'account_sid' },
);
console.log(texmlGetCallRecordingResponseBody.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
texml_get_call_recording_response_body = client.texml.accounts.recordings.json.retrieve_recording_sid_json(
recording_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid="account_sid",
)
print(texml_get_call_recording_response_body.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
texmlGetCallRecordingResponseBody, err := client.Texml.Accounts.Recordings.Json.GetRecordingSidJson(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.TexmlAccountRecordingJsonGetRecordingSidJsonParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", texmlGetCallRecordingResponseBody.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.TexmlGetCallRecordingResponseBody;
import com.telnyx.sdk.models.texml.accounts.recordings.json.JsonRetrieveRecordingSidJsonParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
JsonRetrieveRecordingSidJsonParams params = JsonRetrieveRecordingSidJsonParams.builder()
.accountSid("account_sid")
.recordingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
TexmlGetCallRecordingResponseBody texmlGetCallRecordingResponseBody = client.texml().accounts().recordings().json().retrieveRecordingSidJson(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
texml_get_call_recording_response_body = telnyx.texml.accounts.recordings.json.retrieve_recording_sid_json(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid: "account_sid"
)
puts(texml_get_call_recording_response_body)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$texmlGetCallRecordingResponseBody = $client
->texml
->accounts
->recordings
->json
->retrieveRecordingSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
);
var_dump($texmlGetCallRecordingResponseBody);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:recordings:json retrieve-recording-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--recording-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Recordings/{recording_sid}.json \
--header 'Authorization: Bearer <token>'{
"account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
"call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
"conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"channels": 1,
"date_created": "2023-08-11T19:12:11Z",
"date_updated": "2023-08-11T19:12:11Z",
"start_time": "2023-08-11T19:12:11Z",
"duration": "12",
"sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"source": "StartCallRecordingAPI",
"status": "paused",
"error_code": null,
"subresources_uris": {
"transcriptions": "<string>"
},
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json",
"media_url": "http://recordings.com/mp3/filename.mp3"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}